VME Intensity Monitor - Feature #11029
Milestone # 10477 (New): ANUB Startup

Milestone # 11019 (Accepted): Cycle devices for anub
Injection sample devices
11/30/2015 04:40 PM - John Diamond

Status: Closed Start date: 11/30/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 6.00 hours
Description

‘BEAMIn[0:13]

Each array element is beam sampled on the injection event. n is the second hit of the machine reset event (e.g. 3 for $23 cycle).

History

#1 - 12/01/2015 11:08 AM - John Diamond
- % Done changed from 0 to 40

Implemented CycleDevicelnj.

#2 - 12/08/2015 09:38 PM - John Diamond
- % Done changed from 40 to 90

Fixed some bugs that were crashing anub.

Implemented CycleDevicelnj::show() to assist with testing.

Verified that injections samples are being triggered and pushed into the sample buffer.
On to testing the ACNET accessor...

#3 - 12/08/2015 10:06 PM - John Diamond
ACNET device looks good for R:DCCTI3 (6 injections):

ACL> read R:DCCTI3[0:10]

R:DCCTI3 = -1398.65 -1357.85 -1316.7 -1272.95 -1224.35 -1178.1
0 0 0 0 0 El2

Creating devices for the other cycles...

#4 - 12/08/2015 10:19 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100

Created the following devices:

I:DCCTIO[0:19]
1:DCCTI[0:19]
1:DCCTI3[0:19]
I:DCCTIA[0:19]
R:DCCTI3[0:19]
